Page MenuHomePhabricator

Browser back button does not navigate to previous article after closing an image with X
Closed, DuplicatePublic

Description

  1. Open an article, e.g. https://en.wikipedia.org/wiki/Home_Alone
  2. Click an link to get to another article, e.g. 'John Hughes'
  3. Click on an image, e.g. image of John Hughes
  4. Close the image by clicking the X button on the top right corner
  5. Press the back button

Expected behavior: You get back to the previous article, in this example to 'Home Alone'
Current behavior: The image is opened again

When clicking the X button of an overlay the expected behavior is that the overlay is closed. Clicking the browser back button should navigate to the last article and not open the image overlay again.

As this is the common behavior for overlays on websites I would suggest to change this behavior.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2018, 12:26 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptMay 26 2018, 1:50 PM
Vvjjkkii renamed this task from Browser back button does not navigate to previous article after closing an image with X to 8ccaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot closed this task as a duplicate.
CommunityTechBot renamed this task from 8ccaaaaaaa to Browser back button does not navigate to previous article after closing an image with X.
CommunityTechBot added a subscriber: Aklapper.